## bubbros 1.6

=== Makefile ===
OWNER=root
GROUP=games
LIBDIR=/usr/local/lib
BINDIR=/usr/local/games

MANOWNER=root
MANGROUP=root
MANDIR=/usr/local/man

INSTALL=install
PYTHON=python

export # we export all variales to sub-makes

all:
	make -C bubbob
	make -C display
	-make docs

clean:
	-rm -f `find -name "*~"`
	-rm -f `find -name "*.py[co]"`
	-rm -fr `find -name "build"`
	make -C doc clean
	cd bubbob/images && python buildcolors.py -c
	rm -fr cache

sync: magma-sync codespeak-sync

magma-sync:
	rsync --delete -avz -e ssh ~/games/* magma:games/x/

codespeak-sync:
	rsync --delete -avz -e ssh ${HOME}/games/metaserver ${HOME}/games/common codespeak.net:games/

meta:
	ssh codespeak.net python games/metaserver/metaserver.py -f

docs:
	make -C doc

install-docs:
	make -C doc install

# crude install
install: install-docs
# install fanciness not yet implemented :)
#	make -C bubbob install
#	make -C display install	
	$(INSTALL) -d $(LIBDIR)/bub-n-bros
	cp -R . $(LIBDIR)/bub-n-bros
	chown -R $(OWNER):$(GROUP) $(LIBDIR)/bub-n-bros
	ln -s $(LIBDIR)/bub-n-bros/display/Client.py $(BINDIR)/bubnbros
	ln -s $(LIBDIR)/bub-n-bros/bubbob/bb.py $(BINDIR)/bubnbros-server
	chmod +x $(BINDIR)/bubnbros
	chmod +x $(BINDIR)/bubnbros-server
	$(PYTHON) $(LIBDIR)/bub-n-bros/bubbob/images/buildcolors.py

=== doc/Makefile ===
all: bb.py.html bb.py.txt Client.py.html Client.py.txt BubBob.py.html BubBob.py.txt compress

compress: bb.py.1.gz Client.py.1.gz BubBob.py.1.gz

%.html : %.1
	groff -man -Thtml $< > $@

%.txt : %.1
	groff -man -Tascii $< > $@

%.1.gz : %.1
	gzip -c $< > $@

clean:
	rm -f bb.py.txt Client.py.txt BubBob.py.txt
	rm -f bb.py.html Client.py.html BubBob.py.html
	rm -f *.gz

install:
	$(INSTALL) -c -o $(MANOWNER) -g $(MANGROUP) -m 644 bb.py.1.gz $(MANDIR)/man1/bubnbros-server.1.gz
	$(INSTALL) -c -o $(MANOWNER) -g $(MANGROUP) -m 644 Client.py.1.gz $(MANDIR)/man1/bubnbros.1.gz
	$(INSTALL) -c -o $(MANOWNER) -g $(MANGROUP) -m 644 BubBob.py.1.gz $(MANDIR)/man1/BubBob.1.gz

	### TODO: install for html and txt files!

=== java/Makefile ===
pclient.class: pclient.java
	javac -target 1.1 pclient.java

## bubbros 1.6.2

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,15 @@
 export # we export all variales to sub-makes
 
 all:
-	make -C bubbob
+	if [ -e bubbob ]; then make -C bubbob; fi
 	make -C display
-	-make docs
+	@echo -------------------------------------------------------------
+	@echo \'make\' successful.
+	@echo ' '
+	@echo ' Start the game interactively with: python BubBob.py'
+	@if [ -e bubbob ]; then echo ' Server only (pure command-line): python bubbob/bb.py --help'; else echo ' Only the client is installed here.'; fi
+	@echo ' '
+	@echo -------------------------------------------------------------
 
 clean:
 	-rm -f `find -name "*~"`

=== bubbob/Makefile ===
statesaver.so: statesaver.c
	python setup.py build_ext -i

=== display/Makefile ===
xshm.so: xshm.c
	python setup.py build_ext -i

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
-all: bb.py.html bb.py.txt Client.py.html Client.py.txt BubBob.py.html BubBob.py.txt compress
+# 'make compress' to build the docs as gzipped manpages.
+# 'make txt' to build the docs as plain text manpages.
+# 'make html' to build the docs as html-ized manpages.
+
+all: txt html compress
+txt: bb.py.txt Client.py.txt BubBob.py.txt
+html: bb.py.html Client.py.html BubBob.py.html
 
 compress: bb.py.1.gz Client.py.1.gz BubBob.py.1.gz

=== debian/changelog ===
bubbros (1.6.2-1) unstable; urgency=medium

  [ Siegfried-Angel Gevatter Pujals ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Change python-all-dev dependency to python-all.

  [ Evgeni Golov ]
  * Update Vcs-* fields to point to anonscm.debian.org.

  [ Juhani Numminen ]
  * New upstream release.
    - Fixes obsolete Python string exceptions (Closes: #585187).
  * debian/control:
    - Add myself to Uploaders.
    - Add quilt to Depends.
    - Bump Standards-Version to 3.9.5.
    - Change python helper to dh-python as python-support is obsolete.
    - Remove ${shlibs:Depends} from Depends as the binary package is arch-indep.
    - Remove sharutils from Depends.
  * debian/rules:
    - Include CDBS’ quilt makefile.
    - Change python helper to dh-python as python-support is obsolete.
    - Don’t install the CVS cruft and Makefiles.
    - Don’t generate bubbros.png or clean it.
  * Add debian/patches/series.
  * Add debian/patches/replace_sf_logo.patch: Prevent fetching SF.net logo.
  * debian/patches/*.patch: Refresh all patches.
  * debian/bubbros.desktop:
    - Add Keywords.
    - Remove unhelpful GenericName.
  * debian/copyright:
    - Rewrite to machine-readable format.
    - Game art license was changed from Artistic to Artistic-2.
  * Add debian/bubbros.png, uudecoded debian/bubbros.png.uu.
  * Add debian/source/include-binaries to include debian/bubbros.png.
  * Remove debian/bubbros.png.uu.
  * Remove debian/bubbros.doc-base as the html docs were dropped.

  [ Vincent Cheng ]
  * Drop build-dep on quilt (made redundant by source format "3.0 (quilt)").
  * Remove redundant build-dep on dh-python (pybuild isn't being used at all).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 13 May 2014 14:51:30 +0300

bubbros (1.6-2) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * debian/menu:
     - Replace "x11" with "X11", so that the entry is displayed in the
       menu (Closes: #470877).
     - Formatting changes.
  * debian/control:
     - Change dependencies lists formatting to one package per line.
     - Bump Standards Version to 3.8.3.
  * debian/copyright:
     - Change my e-mail address.
     - Change "(C)" to the real copyright sign.
  * debian/install:
     - Exclude download.html and sshots.html from being installed, as they
       have no useful content.
  * debian/bin/bubbros-*.sh:
     - Remove the "$*", they work fine without it (Closes: #530053).
  * Add debian/bubbros.doc-base.

  [ Eddy Petrișor ]
  * Put the team in the Maintainer field and real people in Uploaders
  * Fix the VCS-* fields

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 13 Dec 2009 16:11:30 +0100

bubbros (1.6-1) unstable; urgency=low

  * Initial release (Closes: #308148).
  * Add the following patches (see comments in their header for more info):
     - patches/config_in_homedir.patch
     - patches/disable_runtime_image_building.patch
     - patches/manpages.patch
     - patches/remove_shabangs.patch

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 02 Dec 2007 22:16:45 +0100

=== debian/control ===
Source: bubbros
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>,
 Juhani Numminen <juhaninumminen0@gmail.com>
Homepage: http://bub-n-bros.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/bubbros
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/bubbros/
Build-Depends: cdbs (>= 0.4.90~),
 debhelper (>= 5.0.37.1),
 devscripts (>= 2.9),
 python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5

Package: bubbros
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${python:Depends},
 python-pygame (>= 1.5.5)
Description: multiplayer clone of the famous Bubble Bobble game
 The objective of this game is to obtain points by destroying enemies
 (capturing them into bubbles and smashing those) and collecting items.
 It supports up to 10 players and is network-capable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

# Don't install the CVS cruft of orig tarball
DEB_DH_INSTALL_ARGS_ALL=-XCVS -X.cvsignore

# Define some repeatedly used paths
DEBDIR=${CURDIR}/debian
BINDIR=${DEBDIR}/bin
BUBDIR=${DEBDIR}/bubbros
TMPDIR=${DEBDIR}/tmp

build/bubbros::
	# Copy bubbob/ and display/ directories
	mkdir ${TMPDIR}
	cp -r ${CURDIR}/bubbob ${TMPDIR}/
	cp -r ${CURDIR}/display ${TMPDIR}/

	# Build images
	(cd ${TMPDIR}/bubbob/images && python buildcolors.py) || exit 1

	# Remove unnecessary stuff
	rm -f ${TMPDIR}/bubbob/Makefile
	rm -f ${TMPDIR}/bubbob/setup.py
	rm -f ${TMPDIR}/bubbob/statesaver.c
	rm -f ${TMPDIR}/display/Makefile
	rm -f ${TMPDIR}/display/setup.py
	rm -f ${TMPDIR}/display/xshm.c
	rm -rf ${TMPDIR}/bubbob/doc
	rm -rf ${TMPDIR}/display/windows

	# Remove unnecessary execution permissions
	chmod -x ${CURDIR}/BubBob.py
	chmod -x ${TMPDIR}/bubbob/bb.py
	chmod -x ${TMPDIR}/display/dpy_windows.py

install/bubbros::
	# Install the executable files
	mkdir -p ${DEBDIR}/bubbros/usr/games
	cp ${BINDIR}/bubbros.sh ${BUBDIR}/usr/games/bubbros
	cp ${BINDIR}/bubbros-client.sh ${BUBDIR}/usr/games/bubbros-client
	cp ${BINDIR}/bubbros-server.sh ${BUBDIR}/usr/games/bubbros-server

	# Rename manpages
	mkdir ${DEBDIR}/man
	cp ${CURDIR}/doc/BubBob.py.1 ${DEBDIR}/man/bubbros.6
	cp ${CURDIR}/doc/bb.py.1 ${DEBDIR}/man/bubbros-server.6
	cp ${CURDIR}/doc/Client.py.1 ${DEBDIR}/man/bubbros-client.6

binary-install/bubbros::
	dh_python2 -pbubbros

clean::
	# Remove temporary files
	rm -rf ${TMPDIR}

	# Remove manpage copies
	rm -rf ${DEBDIR}/man

	# Restore removed execution permissions
	chmod +x ${CURDIR}/BubBob.py

=== debian/watch ===
version=3

http://sf.net/bub-n-bros/bubbros-([^\-]*)\.tar\.gz
